from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import CompanyViewSet, OrgProfileViewSet, DepartmentViewSet, DirectorViewSet

router = DefaultRouter()
router.register(r"companies", CompanyViewSet, basename="company")
router.register(r"org-profile", OrgProfileViewSet, basename="org-profile")
router.register(r"departments", DepartmentViewSet, basename="department")
router.register(r"directors", DirectorViewSet, basename="director")

urlpatterns = [
    path("", include(router.urls)),
]
